Package com.mapd.thrift.server

## Enum TTableMeta._Fields

- java.lang.Object
- - java.lang.Enum<TTableMeta._Fields>
  - - com.mapd.thrift.server.TTableMeta._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TTableMeta._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TTableMeta

    public static enum TTableMeta._Fields
    extends Enum<TTableMeta._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`COL_NAMES`
`COL_TYPES`
`IS_REPLICATED`
`IS_VIEW`
`MAX_ROWS`
`MAX_TABLE_ID`
`NUM_COLS`
`SHARD_COUNT`
`TABLE_ID`
`TABLE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TTableMeta._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TTableMeta._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TTableMeta._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TTableMeta._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TTableMeta._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TABLE_NAME

    public static final TTableMeta._Fields TABLE_NAME

#### NUM_COLS

    public static final TTableMeta._Fields NUM_COLS

#### IS_VIEW

    public static final TTableMeta._Fields IS_VIEW

#### IS_REPLICATED

    public static final TTableMeta._Fields IS_REPLICATED

#### SHARD_COUNT

    public static final TTableMeta._Fields SHARD_COUNT

#### MAX_ROWS

    public static final TTableMeta._Fields MAX_ROWS

#### TABLE_ID

    public static final TTableMeta._Fields TABLE_ID

#### MAX_TABLE_ID

    public static final TTableMeta._Fields MAX_TABLE_ID

#### COL_TYPES

    public static final TTableMeta._Fields COL_TYPES

#### COL_NAMES

    public static final TTableMeta._Fields COL_NAMES

### Method Detail

#### values

    public static TTableMeta._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TTableMeta._Fields c : TTableMeta._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TTableMeta._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TTableMeta._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TTableMeta._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TTableMeta._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`